var n = Object.defineProperty;
var u = (t, e, r) => e in t ? n(t, e, { enumerable: !0, configurable: !0, writable: !0, value: r }) : t[e] = r;
var a = (t, e, r) => (u(t, typeof e != "symbol" ? e + "" : e, r), r);
import c from "../blots/inline.mjs";
class s extends c {
  static create(e) {
    return e === "super" ? document.createElement("sup") : e === "sub" ? document.createElement("sub") : super.create(e);
  }
  static formats(e) {
    if (e.tagName === "SUB")
      return "sub";
    if (e.tagName === "SUP")
      return "super";
  }
}
a(s, "blotName", "script"), a(s, "tagName", ["SUB", "SUP"]);
export {
  s as default
};
